Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network43.71.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
43.71.0.0
Broadcast address
43.71.255.255
First usable
43.71.0.1
Last usable
43.71.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 2B470000 · Integer 726073344 to 726138879
Reverse DNS zone
71.43.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101011.01000111..00000000.0000000043.71.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network00101011.01000111..00000000.0000000043.71.0.0
Broadcast00101011.01000111..11111111.1111111143.71.255.255
Split into smaller subnets/24

43.71.0.0/16 makes 256 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
143.71.0.0/2443.71.0.1 to 43.71.0.25443.71.0.255254
243.71.1.0/2443.71.1.1 to 43.71.1.25443.71.1.255254
343.71.2.0/2443.71.2.1 to 43.71.2.25443.71.2.255254
443.71.3.0/2443.71.3.1 to 43.71.3.25443.71.3.255254
543.71.4.0/2443.71.4.1 to 43.71.4.25443.71.4.255254
643.71.5.0/2443.71.5.1 to 43.71.5.25443.71.5.255254
743.71.6.0/2443.71.6.1 to 43.71.6.25443.71.6.255254
843.71.7.0/2443.71.7.1 to 43.71.7.25443.71.7.255254
943.71.8.0/2443.71.8.1 to 43.71.8.25443.71.8.255254
1043.71.9.0/2443.71.9.1 to 43.71.9.25443.71.9.255254
1143.71.10.0/2443.71.10.1 to 43.71.10.25443.71.10.255254
1243.71.11.0/2443.71.11.1 to 43.71.11.25443.71.11.255254
1343.71.12.0/2443.71.12.1 to 43.71.12.25443.71.12.255254
1443.71.13.0/2443.71.13.1 to 43.71.13.25443.71.13.255254
1543.71.14.0/2443.71.14.1 to 43.71.14.25443.71.14.255254
1643.71.15.0/2443.71.15.1 to 43.71.15.25443.71.15.255254
1743.71.16.0/2443.71.16.1 to 43.71.16.25443.71.16.255254
1843.71.17.0/2443.71.17.1 to 43.71.17.25443.71.17.255254
1943.71.18.0/2443.71.18.1 to 43.71.18.25443.71.18.255254
2043.71.19.0/2443.71.19.1 to 43.71.19.25443.71.19.255254
2143.71.20.0/2443.71.20.1 to 43.71.20.25443.71.20.255254
2243.71.21.0/2443.71.21.1 to 43.71.21.25443.71.21.255254
2343.71.22.0/2443.71.22.1 to 43.71.22.25443.71.22.255254
2443.71.23.0/2443.71.23.1 to 43.71.23.25443.71.23.255254
2543.71.24.0/2443.71.24.1 to 43.71.24.25443.71.24.255254
2643.71.25.0/2443.71.25.1 to 43.71.25.25443.71.25.255254
2743.71.26.0/2443.71.26.1 to 43.71.26.25443.71.26.255254
2843.71.27.0/2443.71.27.1 to 43.71.27.25443.71.27.255254
2943.71.28.0/2443.71.28.1 to 43.71.28.25443.71.28.255254
3043.71.29.0/2443.71.29.1 to 43.71.29.25443.71.29.255254
3143.71.30.0/2443.71.30.1 to 43.71.30.25443.71.30.255254
3243.71.31.0/2443.71.31.1 to 43.71.31.25443.71.31.255254
3343.71.32.0/2443.71.32.1 to 43.71.32.25443.71.32.255254
3443.71.33.0/2443.71.33.1 to 43.71.33.25443.71.33.255254
3543.71.34.0/2443.71.34.1 to 43.71.34.25443.71.34.255254
3643.71.35.0/2443.71.35.1 to 43.71.35.25443.71.35.255254
3743.71.36.0/2443.71.36.1 to 43.71.36.25443.71.36.255254
3843.71.37.0/2443.71.37.1 to 43.71.37.25443.71.37.255254
3943.71.38.0/2443.71.38.1 to 43.71.38.25443.71.38.255254
4043.71.39.0/2443.71.39.1 to 43.71.39.25443.71.39.255254
4143.71.40.0/2443.71.40.1 to 43.71.40.25443.71.40.255254
4243.71.41.0/2443.71.41.1 to 43.71.41.25443.71.41.255254
4343.71.42.0/2443.71.42.1 to 43.71.42.25443.71.42.255254
4443.71.43.0/2443.71.43.1 to 43.71.43.25443.71.43.255254
4543.71.44.0/2443.71.44.1 to 43.71.44.25443.71.44.255254
4643.71.45.0/2443.71.45.1 to 43.71.45.25443.71.45.255254
4743.71.46.0/2443.71.46.1 to 43.71.46.25443.71.46.255254
4843.71.47.0/2443.71.47.1 to 43.71.47.25443.71.47.255254
4943.71.48.0/2443.71.48.1 to 43.71.48.25443.71.48.255254
5043.71.49.0/2443.71.49.1 to 43.71.49.25443.71.49.255254
5143.71.50.0/2443.71.50.1 to 43.71.50.25443.71.50.255254
5243.71.51.0/2443.71.51.1 to 43.71.51.25443.71.51.255254
5343.71.52.0/2443.71.52.1 to 43.71.52.25443.71.52.255254
5443.71.53.0/2443.71.53.1 to 43.71.53.25443.71.53.255254
5543.71.54.0/2443.71.54.1 to 43.71.54.25443.71.54.255254
5643.71.55.0/2443.71.55.1 to 43.71.55.25443.71.55.255254
5743.71.56.0/2443.71.56.1 to 43.71.56.25443.71.56.255254
5843.71.57.0/2443.71.57.1 to 43.71.57.25443.71.57.255254
5943.71.58.0/2443.71.58.1 to 43.71.58.25443.71.58.255254
6043.71.59.0/2443.71.59.1 to 43.71.59.25443.71.59.255254
6143.71.60.0/2443.71.60.1 to 43.71.60.25443.71.60.255254
6243.71.61.0/2443.71.61.1 to 43.71.61.25443.71.61.255254
6343.71.62.0/2443.71.62.1 to 43.71.62.25443.71.62.255254
6443.71.63.0/2443.71.63.1 to 43.71.63.25443.71.63.255254
6543.71.64.0/2443.71.64.1 to 43.71.64.25443.71.64.255254
6643.71.65.0/2443.71.65.1 to 43.71.65.25443.71.65.255254
6743.71.66.0/2443.71.66.1 to 43.71.66.25443.71.66.255254
6843.71.67.0/2443.71.67.1 to 43.71.67.25443.71.67.255254
6943.71.68.0/2443.71.68.1 to 43.71.68.25443.71.68.255254
7043.71.69.0/2443.71.69.1 to 43.71.69.25443.71.69.255254
7143.71.70.0/2443.71.70.1 to 43.71.70.25443.71.70.255254
7243.71.71.0/2443.71.71.1 to 43.71.71.25443.71.71.255254
7343.71.72.0/2443.71.72.1 to 43.71.72.25443.71.72.255254
7443.71.73.0/2443.71.73.1 to 43.71.73.25443.71.73.255254
7543.71.74.0/2443.71.74.1 to 43.71.74.25443.71.74.255254
7643.71.75.0/2443.71.75.1 to 43.71.75.25443.71.75.255254
7743.71.76.0/2443.71.76.1 to 43.71.76.25443.71.76.255254
7843.71.77.0/2443.71.77.1 to 43.71.77.25443.71.77.255254
7943.71.78.0/2443.71.78.1 to 43.71.78.25443.71.78.255254
8043.71.79.0/2443.71.79.1 to 43.71.79.25443.71.79.255254
8143.71.80.0/2443.71.80.1 to 43.71.80.25443.71.80.255254
8243.71.81.0/2443.71.81.1 to 43.71.81.25443.71.81.255254
8343.71.82.0/2443.71.82.1 to 43.71.82.25443.71.82.255254
8443.71.83.0/2443.71.83.1 to 43.71.83.25443.71.83.255254
8543.71.84.0/2443.71.84.1 to 43.71.84.25443.71.84.255254
8643.71.85.0/2443.71.85.1 to 43.71.85.25443.71.85.255254
8743.71.86.0/2443.71.86.1 to 43.71.86.25443.71.86.255254
8843.71.87.0/2443.71.87.1 to 43.71.87.25443.71.87.255254
8943.71.88.0/2443.71.88.1 to 43.71.88.25443.71.88.255254
9043.71.89.0/2443.71.89.1 to 43.71.89.25443.71.89.255254
9143.71.90.0/2443.71.90.1 to 43.71.90.25443.71.90.255254
9243.71.91.0/2443.71.91.1 to 43.71.91.25443.71.91.255254
9343.71.92.0/2443.71.92.1 to 43.71.92.25443.71.92.255254
9443.71.93.0/2443.71.93.1 to 43.71.93.25443.71.93.255254
9543.71.94.0/2443.71.94.1 to 43.71.94.25443.71.94.255254
9643.71.95.0/2443.71.95.1 to 43.71.95.25443.71.95.255254
9743.71.96.0/2443.71.96.1 to 43.71.96.25443.71.96.255254
9843.71.97.0/2443.71.97.1 to 43.71.97.25443.71.97.255254
9943.71.98.0/2443.71.98.1 to 43.71.98.25443.71.98.255254
10043.71.99.0/2443.71.99.1 to 43.71.99.25443.71.99.255254
10143.71.100.0/2443.71.100.1 to 43.71.100.25443.71.100.255254
10243.71.101.0/2443.71.101.1 to 43.71.101.25443.71.101.255254
10343.71.102.0/2443.71.102.1 to 43.71.102.25443.71.102.255254
10443.71.103.0/2443.71.103.1 to 43.71.103.25443.71.103.255254
10543.71.104.0/2443.71.104.1 to 43.71.104.25443.71.104.255254
10643.71.105.0/2443.71.105.1 to 43.71.105.25443.71.105.255254
10743.71.106.0/2443.71.106.1 to 43.71.106.25443.71.106.255254
10843.71.107.0/2443.71.107.1 to 43.71.107.25443.71.107.255254
10943.71.108.0/2443.71.108.1 to 43.71.108.25443.71.108.255254
11043.71.109.0/2443.71.109.1 to 43.71.109.25443.71.109.255254
11143.71.110.0/2443.71.110.1 to 43.71.110.25443.71.110.255254
11243.71.111.0/2443.71.111.1 to 43.71.111.25443.71.111.255254
11343.71.112.0/2443.71.112.1 to 43.71.112.25443.71.112.255254
11443.71.113.0/2443.71.113.1 to 43.71.113.25443.71.113.255254
11543.71.114.0/2443.71.114.1 to 43.71.114.25443.71.114.255254
11643.71.115.0/2443.71.115.1 to 43.71.115.25443.71.115.255254
11743.71.116.0/2443.71.116.1 to 43.71.116.25443.71.116.255254
11843.71.117.0/2443.71.117.1 to 43.71.117.25443.71.117.255254
11943.71.118.0/2443.71.118.1 to 43.71.118.25443.71.118.255254
12043.71.119.0/2443.71.119.1 to 43.71.119.25443.71.119.255254
12143.71.120.0/2443.71.120.1 to 43.71.120.25443.71.120.255254
12243.71.121.0/2443.71.121.1 to 43.71.121.25443.71.121.255254
12343.71.122.0/2443.71.122.1 to 43.71.122.25443.71.122.255254
12443.71.123.0/2443.71.123.1 to 43.71.123.25443.71.123.255254
12543.71.124.0/2443.71.124.1 to 43.71.124.25443.71.124.255254
12643.71.125.0/2443.71.125.1 to 43.71.125.25443.71.125.255254
12743.71.126.0/2443.71.126.1 to 43.71.126.25443.71.126.255254
12843.71.127.0/2443.71.127.1 to 43.71.127.25443.71.127.255254
12943.71.128.0/2443.71.128.1 to 43.71.128.25443.71.128.255254
13043.71.129.0/2443.71.129.1 to 43.71.129.25443.71.129.255254
13143.71.130.0/2443.71.130.1 to 43.71.130.25443.71.130.255254
13243.71.131.0/2443.71.131.1 to 43.71.131.25443.71.131.255254
13343.71.132.0/2443.71.132.1 to 43.71.132.25443.71.132.255254
13443.71.133.0/2443.71.133.1 to 43.71.133.25443.71.133.255254
13543.71.134.0/2443.71.134.1 to 43.71.134.25443.71.134.255254
13643.71.135.0/2443.71.135.1 to 43.71.135.25443.71.135.255254
13743.71.136.0/2443.71.136.1 to 43.71.136.25443.71.136.255254
13843.71.137.0/2443.71.137.1 to 43.71.137.25443.71.137.255254
13943.71.138.0/2443.71.138.1 to 43.71.138.25443.71.138.255254
14043.71.139.0/2443.71.139.1 to 43.71.139.25443.71.139.255254
14143.71.140.0/2443.71.140.1 to 43.71.140.25443.71.140.255254
14243.71.141.0/2443.71.141.1 to 43.71.141.25443.71.141.255254
14343.71.142.0/2443.71.142.1 to 43.71.142.25443.71.142.255254
14443.71.143.0/2443.71.143.1 to 43.71.143.25443.71.143.255254
14543.71.144.0/2443.71.144.1 to 43.71.144.25443.71.144.255254
14643.71.145.0/2443.71.145.1 to 43.71.145.25443.71.145.255254
14743.71.146.0/2443.71.146.1 to 43.71.146.25443.71.146.255254
14843.71.147.0/2443.71.147.1 to 43.71.147.25443.71.147.255254
14943.71.148.0/2443.71.148.1 to 43.71.148.25443.71.148.255254
15043.71.149.0/2443.71.149.1 to 43.71.149.25443.71.149.255254
15143.71.150.0/2443.71.150.1 to 43.71.150.25443.71.150.255254
15243.71.151.0/2443.71.151.1 to 43.71.151.25443.71.151.255254
15343.71.152.0/2443.71.152.1 to 43.71.152.25443.71.152.255254
15443.71.153.0/2443.71.153.1 to 43.71.153.25443.71.153.255254
15543.71.154.0/2443.71.154.1 to 43.71.154.25443.71.154.255254
15643.71.155.0/2443.71.155.1 to 43.71.155.25443.71.155.255254
15743.71.156.0/2443.71.156.1 to 43.71.156.25443.71.156.255254
15843.71.157.0/2443.71.157.1 to 43.71.157.25443.71.157.255254
15943.71.158.0/2443.71.158.1 to 43.71.158.25443.71.158.255254
16043.71.159.0/2443.71.159.1 to 43.71.159.25443.71.159.255254
16143.71.160.0/2443.71.160.1 to 43.71.160.25443.71.160.255254
16243.71.161.0/2443.71.161.1 to 43.71.161.25443.71.161.255254
16343.71.162.0/2443.71.162.1 to 43.71.162.25443.71.162.255254
16443.71.163.0/2443.71.163.1 to 43.71.163.25443.71.163.255254
16543.71.164.0/2443.71.164.1 to 43.71.164.25443.71.164.255254
16643.71.165.0/2443.71.165.1 to 43.71.165.25443.71.165.255254
16743.71.166.0/2443.71.166.1 to 43.71.166.25443.71.166.255254
16843.71.167.0/2443.71.167.1 to 43.71.167.25443.71.167.255254
16943.71.168.0/2443.71.168.1 to 43.71.168.25443.71.168.255254
17043.71.169.0/2443.71.169.1 to 43.71.169.25443.71.169.255254
17143.71.170.0/2443.71.170.1 to 43.71.170.25443.71.170.255254
17243.71.171.0/2443.71.171.1 to 43.71.171.25443.71.171.255254
17343.71.172.0/2443.71.172.1 to 43.71.172.25443.71.172.255254
17443.71.173.0/2443.71.173.1 to 43.71.173.25443.71.173.255254
17543.71.174.0/2443.71.174.1 to 43.71.174.25443.71.174.255254
17643.71.175.0/2443.71.175.1 to 43.71.175.25443.71.175.255254
17743.71.176.0/2443.71.176.1 to 43.71.176.25443.71.176.255254
17843.71.177.0/2443.71.177.1 to 43.71.177.25443.71.177.255254
17943.71.178.0/2443.71.178.1 to 43.71.178.25443.71.178.255254
18043.71.179.0/2443.71.179.1 to 43.71.179.25443.71.179.255254
18143.71.180.0/2443.71.180.1 to 43.71.180.25443.71.180.255254
18243.71.181.0/2443.71.181.1 to 43.71.181.25443.71.181.255254
18343.71.182.0/2443.71.182.1 to 43.71.182.25443.71.182.255254
18443.71.183.0/2443.71.183.1 to 43.71.183.25443.71.183.255254
18543.71.184.0/2443.71.184.1 to 43.71.184.25443.71.184.255254
18643.71.185.0/2443.71.185.1 to 43.71.185.25443.71.185.255254
18743.71.186.0/2443.71.186.1 to 43.71.186.25443.71.186.255254
18843.71.187.0/2443.71.187.1 to 43.71.187.25443.71.187.255254
18943.71.188.0/2443.71.188.1 to 43.71.188.25443.71.188.255254
19043.71.189.0/2443.71.189.1 to 43.71.189.25443.71.189.255254
19143.71.190.0/2443.71.190.1 to 43.71.190.25443.71.190.255254
19243.71.191.0/2443.71.191.1 to 43.71.191.25443.71.191.255254
19343.71.192.0/2443.71.192.1 to 43.71.192.25443.71.192.255254
19443.71.193.0/2443.71.193.1 to 43.71.193.25443.71.193.255254
19543.71.194.0/2443.71.194.1 to 43.71.194.25443.71.194.255254
19643.71.195.0/2443.71.195.1 to 43.71.195.25443.71.195.255254
19743.71.196.0/2443.71.196.1 to 43.71.196.25443.71.196.255254
19843.71.197.0/2443.71.197.1 to 43.71.197.25443.71.197.255254
19943.71.198.0/2443.71.198.1 to 43.71.198.25443.71.198.255254
20043.71.199.0/2443.71.199.1 to 43.71.199.25443.71.199.255254
20143.71.200.0/2443.71.200.1 to 43.71.200.25443.71.200.255254
20243.71.201.0/2443.71.201.1 to 43.71.201.25443.71.201.255254
20343.71.202.0/2443.71.202.1 to 43.71.202.25443.71.202.255254
20443.71.203.0/2443.71.203.1 to 43.71.203.25443.71.203.255254
20543.71.204.0/2443.71.204.1 to 43.71.204.25443.71.204.255254
20643.71.205.0/2443.71.205.1 to 43.71.205.25443.71.205.255254
20743.71.206.0/2443.71.206.1 to 43.71.206.25443.71.206.255254
20843.71.207.0/2443.71.207.1 to 43.71.207.25443.71.207.255254
20943.71.208.0/2443.71.208.1 to 43.71.208.25443.71.208.255254
21043.71.209.0/2443.71.209.1 to 43.71.209.25443.71.209.255254
21143.71.210.0/2443.71.210.1 to 43.71.210.25443.71.210.255254
21243.71.211.0/2443.71.211.1 to 43.71.211.25443.71.211.255254
21343.71.212.0/2443.71.212.1 to 43.71.212.25443.71.212.255254
21443.71.213.0/2443.71.213.1 to 43.71.213.25443.71.213.255254
21543.71.214.0/2443.71.214.1 to 43.71.214.25443.71.214.255254
21643.71.215.0/2443.71.215.1 to 43.71.215.25443.71.215.255254
21743.71.216.0/2443.71.216.1 to 43.71.216.25443.71.216.255254
21843.71.217.0/2443.71.217.1 to 43.71.217.25443.71.217.255254
21943.71.218.0/2443.71.218.1 to 43.71.218.25443.71.218.255254
22043.71.219.0/2443.71.219.1 to 43.71.219.25443.71.219.255254
22143.71.220.0/2443.71.220.1 to 43.71.220.25443.71.220.255254
22243.71.221.0/2443.71.221.1 to 43.71.221.25443.71.221.255254
22343.71.222.0/2443.71.222.1 to 43.71.222.25443.71.222.255254
22443.71.223.0/2443.71.223.1 to 43.71.223.25443.71.223.255254
22543.71.224.0/2443.71.224.1 to 43.71.224.25443.71.224.255254
22643.71.225.0/2443.71.225.1 to 43.71.225.25443.71.225.255254
22743.71.226.0/2443.71.226.1 to 43.71.226.25443.71.226.255254
22843.71.227.0/2443.71.227.1 to 43.71.227.25443.71.227.255254
22943.71.228.0/2443.71.228.1 to 43.71.228.25443.71.228.255254
23043.71.229.0/2443.71.229.1 to 43.71.229.25443.71.229.255254
23143.71.230.0/2443.71.230.1 to 43.71.230.25443.71.230.255254
23243.71.231.0/2443.71.231.1 to 43.71.231.25443.71.231.255254
23343.71.232.0/2443.71.232.1 to 43.71.232.25443.71.232.255254
23443.71.233.0/2443.71.233.1 to 43.71.233.25443.71.233.255254
23543.71.234.0/2443.71.234.1 to 43.71.234.25443.71.234.255254
23643.71.235.0/2443.71.235.1 to 43.71.235.25443.71.235.255254
23743.71.236.0/2443.71.236.1 to 43.71.236.25443.71.236.255254
23843.71.237.0/2443.71.237.1 to 43.71.237.25443.71.237.255254
23943.71.238.0/2443.71.238.1 to 43.71.238.25443.71.238.255254
24043.71.239.0/2443.71.239.1 to 43.71.239.25443.71.239.255254
24143.71.240.0/2443.71.240.1 to 43.71.240.25443.71.240.255254
24243.71.241.0/2443.71.241.1 to 43.71.241.25443.71.241.255254
24343.71.242.0/2443.71.242.1 to 43.71.242.25443.71.242.255254
24443.71.243.0/2443.71.243.1 to 43.71.243.25443.71.243.255254
24543.71.244.0/2443.71.244.1 to 43.71.244.25443.71.244.255254
24643.71.245.0/2443.71.245.1 to 43.71.245.25443.71.245.255254
24743.71.246.0/2443.71.246.1 to 43.71.246.25443.71.246.255254
24843.71.247.0/2443.71.247.1 to 43.71.247.25443.71.247.255254
24943.71.248.0/2443.71.248.1 to 43.71.248.25443.71.248.255254
25043.71.249.0/2443.71.249.1 to 43.71.249.25443.71.249.255254
25143.71.250.0/2443.71.250.1 to 43.71.250.25443.71.250.255254
25243.71.251.0/2443.71.251.1 to 43.71.251.25443.71.251.255254
25343.71.252.0/2443.71.252.1 to 43.71.252.25443.71.252.255254
25443.71.253.0/2443.71.253.1 to 43.71.253.25443.71.253.255254
25543.71.254.0/2443.71.254.1 to 43.71.254.25443.71.254.255254
25643.71.255.0/2443.71.255.1 to 43.71.255.25443.71.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses